--/Example 02

--/ Example of most basic retrieval of data from a table NOT in the current database

--/ here we are saying 'Fetch all columns (fields) from database table called employee in the database called pubs'
--/ located on the current server where the owner of the object is dbo

SELECT * FROM [BAM100-dns].pubs.dbo.employee

--/ If you are the owner of the object, attached to the current server, then the syntax can be amended accordingly

SELECT * FROM pubs..employee

--/ Note that it is generally considered 'BAD PRACTICE' to ever use the * wildcard in a query as this forces SQL 
--/ to read the database catalog to find and identify the relevant column names